% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tidyhydat-package.R
\docType{package}
\name{tidyhydat-package}
\alias{tidyhydat}
\alias{tidyhydat-package}
\title{tidyhydat: Extract and Tidy Canadian 'Hydrometric' Data}
\description{
Provides functions to access historical and real-time national 'hydrometric'
data from Water Survey of Canada data sources (<http://dd.weather.gc.ca/hydrometric/csv/> and
<http://collaboration.cmc.ec.gc.ca/cmc/hydrometrics/www/>) and then applies tidy data principles.
}
\references{
To download the latest version of hydat please:
 \itemize{
  \item use the \code{download_hydat()} function.
  }

For more information on tidy data please see
\itemize{
 \item Wickham, Hadley. 2014. Tidy Data. The Journal of Statistical Software. 59. \url{https://www.jstatsoft.org/article/view/v059i10}
 \item tidy data vignette: \url{https://CRAN.R-project.org/package=tidyr/vignettes/tidy-data.html}
 }

 For more information on HYDAT 
 \itemize{
   \item Please see this description of the database: goo.gl/H3NXJQ
   \item This page is landing page for technical description of HYDAT:
   \url{http://collaboration.cmc.ec.gc.ca/cmc/hydrometrics/www/}
   \item This page links to a document that outlines database table definitions:
   \url{http://collaboration.cmc.ec.gc.ca/cmc/hydrometrics/www/HYDAT_Definition_EN.pdf}
   }
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/ropensci/tidyhydat}
  \item Report bugs at \url{https://github.com/ropensci/tidyhydat/issues}
}

}
\author{
\strong{Maintainer}: Sam Albers \email{sam.albers@gov.bc.ca} (0000-0002-9270-7884)

Other contributors:
\itemize{
  \item David Hutchinson \email{david.hutchinson@canada.ca} [contributor]
  \item Dewey Dunnington \email{dewey@fishandwhistle.net} [contributor]
  \item Province of British Columbia [copyright holder]
  \item Luke Winslow (Reviewed for rOpenSci) [NA]
  \item Laura DeCicco (Reviewed for rOpenSci) [NA]
}

}
\keyword{internal}
